# ``twisted`.`web`.`iweb`.`IPolicyForHTTPS``

interface documentation

`class IPolicyForHTTPS(Interface): (source)`

Known implementations: `twisted.web.client.BrowserLikePolicyForHTTPS`, `twisted.web.client.HostnameCachingHTTPSPolicy`, `twisted.web.client._DeprecatedToCurrentPolicyForHTTPS`

View In Hierarchy

An `IPolicyForHTTPS` provides a policy for verifying the certificates of HTTPS connections, in the form of a `client connection creator` per network location.

Present Since
14.0

Method | `creatorForNetloc` | No summary

def creatorForNetloc(hostname, port): (source)
Create a `client connection creator` appropriate for the given URL "netloc"; i.e. hostname and port number pair.

Parameters
hostname:`bytes` | The name of the requested remote host.
port:`int` | The number of the requested remote port.
Returns
`client connection creator` | A client connection creator expressing the security requirements for the given remote host.